---
layout: "@layouts/ArticleLayout.astro"
title: How to write a knowledge resource?
order: 2
subtitle: I like to give a first introduction :)
headerImage: images/home/nasa-Q1p7bh3SHj8-unsplash_fchh.jpg
headerImageAlt: test hero image
date: 09102022
author: Raphael Haus
tags:
  - title: category-title
    target: https://www.google.de
---

# What is the Knowledge Hub?
The Knowledge Hub of Fab City Hamburg (FCHH KN) is a section of the FCHH website where you can find so-called 'Knowledge Resources' - pages of useful content, similar to a blog post, with the difference that they can become very extensive with subpages and have metadata. They are either written directly for FCHH KH or we simply link to good content that we find useful. We just add some information so people can search for it better.

Here you can see a screenshot of the UI design:

<img src="demo_kn_fchh.png" width="500" />


# How to write a knowlege resource?
I'll explain how to add content to FCHH's Knowlege Hub! Basically, you can **add knowledge resources** in three ways.

**We will have:** 

### Pages (internal)
A page is a piece of content written on FCHH with all the editing capabilities that the FCHH website offers (images, lists, accordion, subpages, TOC, ...). This content generates a page (a markdown file in our repo).

So this is an actual **page** content. It is written in Markdown. Later you will get a URL with a WYSIWYG web editor. The editor avoids you having to write code in .md format in Gitlab. But for now, please just write the content as you see it here.

### Link to a website (external).
We also want to curate resources that are out there. We link a URL and add a little description and some information (metadata) and we're done.

### We reproduce a source (embed an external public .md source).
Let's say we found a great wiki that we like very much and that is also based on single .md pages. With no (or only minor) changes, we can simply take the raw source and render it to our site, presenting it with the same look as our internal pages.

# Add metadata.
If you look closely, knowledge is nothing more than organized content. And that's exactly what we're going to do.  Knowledge Hub content becomes knowledge by adding metadata to it. We will use standard content pages and add a metadata field to them. This way we can sort the content by different data. 

The metadata will be added later in a form similar to this:

<img src="form.png" width="500" />



## We will add metadata in a standadised form 

For each knowledge entry (be it a linked content or a page), a metadata field will appear at the beginning. Maybe it will be a text with '---' at the beginning and end, maybe something else. It doesn't matter right now because we can change it quickly. 

### The metadata will look (approximately) like this:


- Author: Author Name Last Name

- Category: Learning

- Language: English

- License: CC-BY-SA 4.0

- SDG: 12

- Type: Tutorial, Guide

- Hashtag: Introduction, PersonalByRaphael


**Explainations:**

**Author:** If you don't know, leave it blank. If many, we should align a workding. "by community"? 

**Category** This comes from the (full stack)[https://books.fablabbcn.org/make-works/on-boarding-new-make-works-regions/how-to-fab-city-full-stack-workshop]. I like the idea to align with the Fab City Full stack and use the same categories. ther are the following 7 (I made the wordings a bit more 'on point'):
- Physical Infrastructure
- Digital Infrastructure
- Learning
- Network
- Strategies
- Metrics
- Incubation

**SDG** stands for Sustainable Development Goals. They are very famous. Look them up: https://sdgs.un.org/goals. We are mostly using SDG 12 probably (Ensure sustainable consumption and production patterns).

**Type** is a free tag cloud. Use whatever you feel is most helpful. Use it like a hashtag.

the rest should be clear :)


# How to start with content creation
0. The website is not ready yet, so we need to manually compile the knowledge resources first. Sorry!!!
1. choose a folder or repository where you will collect the many pages you want to create. If you don't know, ask @moritz.
2. use one of the 2 Template here:

# 1. Template for an internal Knowlege Ressource Page

- Title: How to start with your OSH Repository
- Content: 'here you place in you complete text in md form'
- Author: Jo Jung, Elmo, Fifi und Konsorten
- Category: Digital Infrastructure, Metrics 
- Language: English
- License: CC-BY-SA 4.0
- SDG: 12
- Type: Tutorial, Guide
- Hashtag: OSH, Documentation

# 2. Template for a linked Knowlege Ressource Page

- URL: https://certification.oshwa.org/
- Description: OSHWA Certification provides an easy and straightforward way for producers to indicate that their products meet a uniform and well-defined standard for open-source compliance.
- Author: 
- Category: Learning
- Language: English
- License: CC-BY-SA 4.0
- SDG: 12
- Type: Tool, Database
- Hashtag: OSH, Standardisaton, Certification


# Template for a embeded Knowlege Ressource Page

Not working right now. Please wait!



